Name:           python-jwcrypto
Version:        0.5.0
Release:        4
Summary:        Implements JWK, JWS, JWE specifications with python-cryptography
License:        LGPLv3+
URL:            https://github.com/latchset/jwcrypto
Source0:        https://github.com/latchset/jwcrypto/releases/download/v%{version}/jwcrypto-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python%{python3_pkgversion}-cryptography >= 1.5 python3-pytest

%description
Implements JWK, JWS, JWE specifications with python-cryptography

%package        -n python%{python3_pkgversion}-jwcrypto
Summary:        Implements JWK, JWS, JWE specifications with python-cryptography
Requires:       python%{python3_pkgversion}-cryptography >= 1.5
%{?python_provide:%python_provide python%{python3_pkgversion}-jwcrypto}
%description    -n python%{python3_pkgversion}-jwcrypto
Implements JWK, JWS, JWE specifications using python-cryptography

%prep
%autosetup -n jwcrypto-%{version} -p1

%build
%py3_build

%check
%{__python3} -bb -m pytest jwcrypto/test*.py

%install
%py3_install

%files -n python%{python3_pkgversion}-jwcrypto
%doc README.md LICENSE
%exclude %{_docdir}/jwcrypto
%exclude %{python3_sitelib}/jwcrypto/tests{,-cookbook}.py*
%exclude %{python3_sitelib}/jwcrypto/__pycache__/tests{,-cookbook}.*.py*
%{python3_sitelib}/jwcrypto
%{python3_sitelib}/jwcrypto-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 17 2020 lizhenhua <lizhenhua21@huawei.com> - 0.5.0-4
- Package init
